Win a copy of The Little Book of Impediments (e-book only) this week in the Agile and Other Processes forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

jdk1.3.1 compiled applets cause NS 6 to crash - why?

 
david eberhardt
Ranch Hand
Posts: 158
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I have written and compiled applets using jdk1.3.1 and successfully ran them in Netscape 4.7.
the html code is basic applet tags.
In IE 6 - I unchecked the (menu)Tool-Internet Options, Advanced tab ,Java option that says "Use Java 2 v 1.4.1 for <applet>" option in order to get it to work there ; otherwise IE 6 crashes also.
Netscape 7 also crashes when I try to load the basic applet.
what is happening?
It seems as though the new 1.4 jdk and java plug-in item has wrecked havoc on development of applets.
Good bye write once- run anywhere???

I am very discouraged now with Java and think Microsoft .NET is looking far better from many angles.
 
Tina Low
Greenhorn
Posts: 5
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hello David,
don't be disappointed.
I have loved Java applications so far.
Now I tried the applets stuff. I also realized that the browsers (IE 5.5. and Netscape 4.75) have problems with applets compiled in jdk1.4.
So I tried to install the plugin in Netscape. I didn't get it running, instead of the jdk1.3.1 plugin installation.
The IE is not much better, there is not even a possibility to load or see at least the plugins.
The download of the VM fromMS is no fun.
So i jumped back to jdk1.3.1. applets until jdk 1.4 has settled.
 
Gregg Bolinger
Ranch Hand
Posts: 15304
6
Chrome IntelliJ IDE Mac OS X
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I have had 0 problems with 1.4 in IE and Mozilla. All works fine for me.
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic